
set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="ugdes2.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "DRAW STRINGS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="First point"
      layer_name="ugdes2.str"
    }
  }
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="12"
    }
  }
}]

set status [ SclFunction "MAKE PILLARS" {
  frm00202={
    {
      _action=display
      width_from_desc="N"
      road_width="5"
      cl_string_range="10,11"
    }
  }
}]

set status [ SclFunction "SAVE FILE AS" {
  output_file="ugdes_outline1.str"
  output_type="Surpac String Files"
  output_filenames=""
  Surpac={
    Purpose=""
    range="12"
    FileFormat="text"
    ForceValidation="true"
    ForceCompatibility="true"
  }
  frm00121={
    {
      _action="apply"
    }
  }
}]

SclPause 1

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="ugdes_outline1.str"
  mode="openInNewLayer"
}]

puts ""
puts ""
puts "macro _04a_create_road_outline.tcl completed"
puts ""
